com.r3corda.core.node.services / ServiceType

# ServiceType

`abstract class ServiceType`

Identifier for service types a node can expose over the network to other peers. These types are placed into network map advertisements. Services that are purely local and are not providing functionality to other parts of the network dont need a declared service type.

### Constructors

<init> | `ServiceType(id: String)` Identifier for service types a node can expose over the network to other peers. These types are placed into network map advertisements. Services that are purely local and are not providing functionality to other parts of the network dont need a declared service type.

### Properties

id | `val id: String`

### Functions

equals | `open operator fun equals(other: Any?): Boolean`
hashCode | `open fun hashCode(): Int`
toString | `open fun toString(): String`

### Inheritors

Type | `object Type : ServiceType`
Type | `object Type : ServiceType`
Type | `object Type : ServiceType`
Type | `object Type : ServiceType`